<script setup lang="ts">
import {useWeatherStore} from "@/stores/weather";
import {getIconByCondition} from "@/utils/utils";

const store = useWeatherStore();
</script>

<template>
  <section class="app--forecast">
    <div v-if="store.forecast" class="mt-7 mb-7 text-2xl">Weekly Forecast</div>
    <div v-for="item in store.forecast" :key="item.timestamp">
      <div class="grid grid-cols-2 shadow-xl rounded-md p-5 bg-gray-800 mb-3">
        <div class="grid grid-cols-2">
          <img class="w-16"
               :src="getIconByCondition(item.icon)"
               alt="weather-condition"/>
          <div>
            <p class="pb-2 text-xl">
              {{
                new Date(item.timestamp).toLocaleDateString("en-EN", {
                  weekday: "long",
                })
              }}
            </p>
            <p>{{ item.condition }}</p>
          </div>
        </div>
        <p class="text-3xl relative place-self-end mr-4">
          {{ item.temperature }}
          <span class="absolute">°</span>
        </p>
      </div>
    </div>
  </section>
</template>
